LogSearchRuleResource Class

The Log Search Rule resource.

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.mgmt.monitor.v2018_04_16.models._models_py3.Resource
LogSearchRuleResource

Constructor

LogSearchRuleResource(*, location: str, source: azure.mgmt.monitor.v2018_04_16.models._models_py3.Source, action: azure.mgmt.monitor.v2018_04_16.models._models_py3.Action, tags: Optional[Dict[str, str]] = None, description: Optional[str] = None, display_name: Optional[str] = None, auto_mitigate: Optional[bool] = False, enabled: Optional[Union[str, azure.mgmt.monitor.v2018_04_16.models._monitor_management_client_enums.Enabled]] = None, schedule: Optional[azure.mgmt.monitor.v2018_04_16.models._models_py3.Schedule] = None, **kwargs)

Variables

id
str

Azure resource Id.

name
str

Azure resource name.

type
str

Azure resource type.

location
str

Required. Resource location.

tags
dict[str, str]

A set of tags. Resource tags.

kind
str

Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type; e.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.

etag
str

The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.

created_with_api_version
str

The api-version used when creating this alert rule.

is_legacy_log_analytics_rule
bool

True if alert rule is legacy Log Analytic rule.

description
str

The description of the Log Search rule.

display_name
str

The display name of the alert rule.

auto_mitigate
bool

The flag that indicates whether the alert should be automatically resolved or not. The default is false.

enabled
str or <xref:$>(<xref:python-base-namespace>)Enabled

The flag which indicates whether the Log Search rule is enabled. Value should be true or false. Possible values include: "true", "false".

last_updated_time
datetime

Last time the rule was updated in IS08601 format.

provisioning_state
str or <xref:$>(<xref:python-base-namespace>)ProvisioningState

Provisioning state of the scheduled query rule. Possible values include: "Succeeded", "Deploying", "Canceled", "Failed".

source
<xref:$>(<xref:python-base-namespace>)Source

Required. Data Source against which rule will Query Data.

schedule
<xref:$>(<xref:python-base-namespace>)Schedule

Schedule (Frequency, Time Window) for rule. Required for action type - AlertingAction.

action
<xref:$>(<xref:python-base-namespace>)Action

Required. Action needs to be taken on rule execution.